%define _requires_exceptions perl\(.*\)\\|devel\(linux-gate\)\\|devel\(libdns_sd\(.*\)\\|devel\(libdns_sd\)

%define __libtoolize    /bin/true

%define use_hspell_plugins 1

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%define use_kickoff_menu 1
%{?_no_kickoff_menu: %{expand: %%global use_kickoff_menu 0}}

%if %unstable
%define dont_strip 1
%endif

%define qtdir   %{_prefix}/lib/qt3

%define lib_major 4
%define lib_name_orig libkdecore
%define lib_name %mklibname kdecore %{lib_major}
%define libqt %mklibname qt 3

%define lib_name_orig_kdepim %mklibname kdepim
%define lib_major_kdepim 2
%define lib_name_kdepim %lib_name_orig_kdepim%lib_major_kdepim

%define lib_name_orig_kdebase libkdebase
%define lib_major 4
%define lib_name_kdebase %mklibname kdebase %lib_major

%define epoch_kdelibs 30000000
%define epoch_arts 30000001

Name: kdelibs
Summary: K Desktop Environment - Libraries
Version: 3.5.9
Release: %mkrel 2
Epoch: %epoch_kdelibs
Group: Graphical desktop/KDE
License: LGPL_V2
BuildRoot: %_tmppath/%name-%version-%release-root
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Source1: kdelibs-3.5.7-mandriva-mimetypes.tar.bz2
Patch1: kdelibs-3.5.7-speedbar-xdg-user-dirs.patch
Patch2:	kdelibs-3.3.2-fix-kurlbar-global.patch
Patch3:	kdelibs-3.5.3-fix-enable-dialogbox.patch
Patch4: kdelibs-3.5.7-cups-1.3-conf.patch
Patch5:	kdelibs-3.5.7-xdg-dirs-document-path.patch
Patch6: kdelibs-3.5.4-dcop_wrong_reply.patch
Patch7: kdelibs-3.5.8-smooth-scrolling.patch
Patch8: kdelibs-3.5.0-rubberband-selection.patch 
Patch9: kdelibs-3.5.6-add-dnssd-avahi-support.patch	
Patch10: kdelibs-3.5.2-move-xdg-menu-dir.patch
Patch11: kdelibs-3.5.7-add-extra-catalogs.patch
Patch12: kdelibs-3.5.4-fix-https-loop.patch
Patch13: kdelibs-3.5.4-fix-translate-menu.patch
Patch14: kdelibs-3.5.4-fix-translate-desktopfile.patch
Patch16: kdelibs-3.5.5-ldap-kconfig.patch
Patch17: kdelibs-3.5.7-kfile-beagle.patch
Patch18: kdelibs-3.5.8-lzma_support.patch
Patch21: kdelibs-3.5.8-cups_by_default.patch 
# Kickoff related patches 
Patch100: kickoff-drop-shadow.diff
Patch101: clever-menu.diff
Patch204: kdelibs-3.5.8-add-bookmark-dialog.patch
# to remove
Obsoletes: kdelibs-static-devel
Obsoletes: kdelibs3-devel
Obsoletes: kdelibs3.0
Obsoletes: kdelibs3
Requires: kde-l10n
Conflicts: kdepim-korganizer <= 3.2.3-100mdk
BuildRequires: aspell-devel
BuildRequires: lua-devel
BuildRequires: avahi-compat-libdns_sd-devel 
BuildRequires: avahi-qt3-devel 
BuildRequires: avahi-client-devel
BuildRequires: qt3-devel >= 3.3.6
BuildRequires: libxslt-devel
BuildRequires: libxml2 >= 2.4.11
BuildRequires: openssl-devel
BuildRequires: cups-devel >= 1.2
BuildRequires: pcre-devel
BuildRequires: fam-devel
BuildRequires: libarts-devel
BuildRequires: bzip2-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libsasl-devel
BuildRequires: libtiff-devel
BuildRequires: libvorbis-devel
BuildRequires: pam-devel
BuildRequires: X11-devel
BuildRequires: libalsa-devel
BuildRequires: libmad-devel
BuildRequires: gdbm-devel
BuildRequires: jasper-devel
BuildRequires: OpenEXR-devel
BuildRequires: libacl-devel
BuildRequires: krb5-devel
BuildRequires: autoconf >= 1:2.59
BuildRequires: automake > 1.5
BuildRequires: libldap-devel
BuildRequires: idn-devel
BuildRequires: lzma-devel
%if %use_hspell_plugins
BuildRequires:	hspell-devel
%endif

%description 
Libraries for the K Desktop Environment.

#--------------------------------------------------------------

%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Core libraries for KDE
Obsoletes: kdelibs
Obsoletes: kdetrayproxy 
Obsoletes: kdelibs-arts
Provides: kdelibs = %{epoch_kdelibs}:%version-%release
Provides: %lib_name_orig = %{epoch_kdelibs}:%version-%release
Requires: libarts >= %{epoch_arts}:1.1.2-1mdk
Requires: kdelibs-common = %{epoch_kdelibs}:%version-%release
Requires: %{libqt} >= 3.2.2
Requires: nss_mdns
Conflicts: %lib_name < 3.1.91, libkdebase4 < 3.1.91
Conflicts: kmplayer <= 0.8.4
Conflicts: krusader <= 1.29-1mdk
Conflicts: %lib_name_kdebase <= 1:3.3.2
Conflicts: %lib_name_kdepim-korganizer <= 1:3.3.0-30mdk

%description -n %lib_name
Libraries for the K Desktop Environment.

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%_libdir/libkdeinit_*
%_libdir/libkdefakes_nonpic.a
%_libdir/libDCOP.la
%_libdir/libkdecore.la
%_libdir/libkdefakes.la
%_libdir/libkdefx.la
%_libdir/libkdeprint.la
%_libdir/libkdeprint_management.la
%_libdir/libkdesu.la
%_libdir/libkdeui.la
%_libdir/libkhtml.la
%_libdir/libkio.la
%_libdir/libkjs.la
%_libdir/libkmid.la
%_libdir/libkparts.la
%_libdir/libkscreensaver.la
%_libdir/libkspell.la
%_libdir/libktexteditor.la
%_libdir/libkdesasl.la
%_libdir/libkscript.la
%_libdir/libkatepartinterfaces.la
%_libdir/libkabc.la
%_libdir/libartskde.la
%_libdir/libkmediaplayer.la
%_libdir/libkutils.la
%_libdir/libkjava.la
%_libdir/libkabc_dir.la
%_libdir/libkabc_file.la
%_libdir/libkabc_ldapkio.la
%_libdir/libkmdi.la
%_libdir/libkresources.la
%_libdir/libkwalletbackend.la
%_libdir/libkwalletclient.la
%_libdir/libvcard.la
%_libdir/libartskde.so.*
%_libdir/libDCOP.so.*
%_libdir/libkdecore.so.*
%_libdir/libkdefakes.so.*
%_libdir/libkdefx.so.*
%_libdir/libkdeprint.so.*
%_libdir/libkdeprint_management.so.*
%_libdir/libkdesu.so.*
%_libdir/libkdeui.so.*
%_libdir/libkhtml.so.*
%_libdir/libkio.so.*
%_libdir/libkjs.so.*
%_libdir/libkmid.so.*
%_libdir/libkparts.so.*
%_libdir/libkscreensaver.so.*
%_libdir/libkspell.so.*
%_libdir/libktexteditor.so.*
%_libdir/libkdesasl.so.*
%_libdir/libkscript.so.*
%_libdir/libkatepartinterfaces.so.*
%_libdir/libkabc.so.*
%_libdir/libkmediaplayer.so.*
%_libdir/libkutils.so.*
%_libdir/libkjava.so.*
%_libdir/libkabc_dir.so.*
%_libdir/libkabc_file.so.*
%_libdir/libkabc_ldapkio.so.*
%_libdir/libkmdi.so.*
%_libdir/libkresources.so.*
%_libdir/libkwalletbackend.so.*
%_libdir/libkwalletclient.so.*
%_libdir/libvcard.so.*
%_libdir/libkimproxy.la
%_libdir/libkimproxy.so.*
%_libdir/libknewstuff.la
%_libdir/libknewstuff.so.*
%_libdir/libkspell2.la
%_libdir/libkspell2.so.*
%_libdir/libkdnssd.la
%_libdir/libkdnssd.so.*
%_libdir/libkmdi2.la
%_libdir/libkmdi2.so.*
%_libdir/libkntlm.la
%_libdir/libkntlm.so.*
%_libdir/libkunittest.la
%_libdir/libkunittest.so.*
%dir %_libdir/kde3
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%dir %_libdir/kde3/plugins/
%dir %_libdir/kde3/plugins/designer/
%_libdir/kde3/plugins/designer/*.so
%_libdir/kde3/plugins/designer/*.la
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so

#--------------------------------------------------------------

%package -n %lib_name-devel
Group:		Development/KDE and Qt
Summary:	Header files and documentation for compiling KDE applications
Obsoletes:  kdelibs-devel
Provides:	kdelibs-devel = %{epoch_kdelibs}:%version-%release
Conflicts:	kdebase-devel <= 3.1.91mdk 
Requires:	%lib_name = %{epoch_kdelibs}:%version-%release
Requires:	acl-devel
Requires:	qt3-devel >= 3.3.6
Conflicts:  kmplayer <= 0.8.4
Conflicts:  kdelibs-devel < 3.1.91
Conflicts:  krusader <= 1.29-1mdk
Conflicts:  %lib_name_kdepim-korganizer-devel <= 1:3.3.0-30mdk

%description -n %lib_name-devel
This package includes the header files you will need to compile applications 
for KDE. Also included is the KDE API documentation in HTML format for easy 
browsing.

%files -n %lib_name-devel
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kspell
%_includedir/*
%_libdir/libartskde.so
%_libdir/libDCOP.so
%_libdir/libkabc_dir.so
%_libdir/libkabc_file.so
%_libdir/libkabc_ldapkio.so
%_libdir/libkabc.so
%_libdir/libkdecore.so
%_libdir/libkdefakes.so
%_libdir/libkdefx.so
%_libdir/libkdeprint.so
%_libdir/libkdeprint_management.so
%_libdir/libkdesu.so
%_libdir/libkdeui.so
%_libdir/libkhtml.so
%_libdir/libkio.so
%_libdir/libkjs.so
%_libdir/libkmid.so
%_libdir/libkparts.so
%_libdir/libkscreensaver.so
%_libdir/libkspell.so
%_libdir/libktexteditor.so
%_libdir/libkdesasl.so
%_libdir/libkscript.so
%_libdir/libkatepartinterfaces.so
%_libdir/libkmediaplayer.so
%_libdir/libkutils.so
%_libdir/libkjava.so
%_libdir/libkresources.so
%_libdir/libkwalletclient.so
%_libdir/libkwalletbackend.so
%_libdir/libkmdi.so
%_libdir/libvcard.so
%_libdir/libkimproxy.so
%_libdir/libknewstuff.so
%_libdir/libkspell2.so
%_libdir/libkdnssd.so
%_libdir/libkmdi2.so
%_libdir/libkntlm.so
%_libdir/libkunittest.so

#--------------------------------------------------------------

%package    common
Group:      Development/KDE and Qt
Summary:    Config file and icons file for %name
Requires(pre):   %lib_name = %{epoch_kdelibs}:%version-%release
Requires: kde-config-file
Conflicts:   kdelibs-common < 0.8.4-0.rc5.1mdk
Conflicts:	kmplayer <= 0.8.4
Conflicts:	krusader <= 1.29-1mdk
Conflicts:      koffice <= 1.3-0.beta3.6mdk
Conflicts:	kdesdk <= 3.1-9mdk
Conflicts:  kdebase-progs <= 3.1.3-79mdk
Conflicts:	%lib_name_kdepim-korganizer <= 1:3.3.0-30mdk
Conflicts:	kjsembed <= 3.3.0
Conflicts:	kmplayer <= 0.8.4
Conflicts:	kdeadmin <= 2:3.3.2-6mdk 
Conflicts:	kdevelop <= 3:3.2.2-3mdk
Conflicts:	mandrake-mime <= 0.4
Requires(post): 	kde-custom-icons
Requires:	desktop-common-data
Obsoletes:	mandrake-menu-directory
Requires:   hicolor-icon-theme
Requires: libxml2-utils
Conflicts: kdepim =< 2.2.2-5
Conflicts: kdeartwork =< 2.2.2-3mdk
Conflicts: koffice =< 1.1.1-14mdk
Conflicts: kdelibs-sound =< 2.2.2-48mdk
Conflicts: kdebase =< 2.2.2-93mdk
Conflicts: kdelibs < 3.1.91
Conflicts: kdebase < 3.1.91
Conflicts: k3b <= 0.9-15mdk
Conflicts: kdesdk <= 3.1.3-9mdk
Conflicts: koffice <= 1.3-0.beta3.6mdk
Conflicts: %lib_name < 3.2.3-19mdk
Conflicts: kdebase-progs <= 1:3.3.2
Conflicts: kttsd <= 0.3.0
Conflicts: kdeaddons <= 1:3.3.2

%description common
This packages contains all icons, config file etc...

%post common
%update_menus
%update_icon_cache crystalsvg

%postun common
%clean_menus
%clean_icon_cache crystalsvg

%pre common
# here, we put things that we have moved around (like directories)
# that need to be cleaned up prior to the RPM's installation.
# Ugly. Necessary.

if [ -e /usr/share/config ]; then
%__mv /usr/share/config /usr/share/config.
fi
while read old new link; do
  if [ -d `dirname $old` -a ! -L $old ]; then
     echo "moving $old to $new linking to $link"
     if [ ! -d $new ]; then
        mkdir -p $new
     fi
     if [ -d $old ]; then
         mv -f $old/* $new
         rm -rf $old
     fi
  fi
done << EOF
/usr/share/config. /etc/kde/ ../../etc/kde
EOF

ln -sf ../../etc/kde /usr/share/config
rm -rf /usr/share/config.


%files common
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/common
%dir %_datadir/config/
%config(noreplace) %_datadir/config/kdebug.areas
%config(noreplace) %_datadir/config/kdebugrc
%config(noreplace) %_datadir/config/ksslcalist
%config(noreplace) %_datadir/config/language.codes
%config(noreplace) %_datadir/config/kthemestylerc
%config(noreplace) %_datadir/config/khotnewstuffrc
%config(noreplace) %_datadir/config/katefiletyperc
%config(noreplace) %_datadir/config/ui/ui_standards.rc
%config(noreplace) %_datadir/config/ui/kprintpreviewui.rc
%config(noreplace) %_datadir/config/kdeprintrc
%config(noreplace) %_datadir/config/katesyntaxhighlightingrc
%dir %_datadir/config/colors/
%dir %_datadir/config/ui/
%_datadir/config/colors/*
%_datadir/config/ipv6blacklist
%doc %_datadir/apps/LICENSES
%dir %_datadir/apps/kdewidgets
%_datadir/apps/kdewidgets/*
%dir %_datadir/apps/knewstuff
%_datadir/apps/knewstuff/*
%dir %_datadir/apps/ktexteditor_docwordcompletion/
%_datadir/apps/ktexteditor_docwordcompletion/*
%_bindir/lnusertemp
%_bindir/start_kdeinit
%_bindir/ktradertest
%_bindir/kfmexec
%_bindir/kioexec
%_bindir/artsmessage
%_bindir/checkXML
%_bindir/cupsdconf
%_bindir/cupsdoprint
%_bindir/dcop
%_bindir/dcopidl
%_bindir/dcopidl2cpp
%_bindir/dcopserver
%_bindir/imagetops
%_bindir/kbuildsycoca
%_bindir/kconf_update
%_bindir/kcookiejar
%_bindir/kde-config
%_bindir/kded
%_bindir/kdeinit
%_bindir/kdeinit_shutdown
%_bindir/kdeinit_wrapper
%_bindir/kdesu_stub
%_bindir/kio_http_cache_cleaner
%_bindir/kio_uiserver
%_bindir/klauncher
%_bindir/kmailservice
%attr(4755, root, root) %_bindir/kpac_dhcp_helper
%_bindir/ksendbugmail
%_bindir/kshell
%_bindir/kwrapper
%_bindir/make_driver_db_cups
%_bindir/meinproc
%_bindir/preparetips
%_bindir/kdontchangethehostname
%_bindir/kfile
%_bindir/kconfig_compiler
%_bindir/kde-menu
%_bindir/kcmshell
%_bindir/dcopclient
%_bindir/dcopfind
%_bindir/dcopobject
%_bindir/dcopref
%_bindir/dcopserver_shutdown
%_bindir/dcopstart
%_bindir/kab2kabc
%_bindir/kaddprinterwizard
%_bindir/ktelnetservice
%_bindir/make_driver_db_lpr
%_bindir/kinstalltheme
%_bindir/kioslave
%_bindir/ksvgtopng
%_bindir/dcopidlng
%_bindir/dcopquit
%attr(4755,root, root) %_bindir/kgrantpty
%_bindir/kdostartupconfig
%_bindir/kstartupconfig
%_bindir/kunittestmodrunner
%_bindir/khotnewstuff
%_bindir/makekdewidgets
%_bindir/start_kdeinit_wrapper
%dir %_datadir/applications/kde/
%_datadir/applications/kde/kresources.desktop
%dir %_datadir/apps/kabc/
%_datadir/apps/kabc/*
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*
%dir %_datadir/apps/dcopidlng
%_datadir/apps/dcopidlng/*
%dir %_datadir/apps/kdeprint
%_datadir/apps/kdeprint/*
%dir %_datadir/apps/kdeui
%_datadir/apps/kdeui/*
%dir %_datadir/apps/khtml
%_datadir/apps/khtml/*
%dir %_datadir/apps/kio_uiserver
%_datadir/apps/kio_uiserver/*
%dir %_datadir/apps/proxyscout
%_datadir/apps/proxyscout/*
%dir %_datadir/apps/kjava/
%_datadir/apps/kjava/*
%dir %_datadir/apps/knotify
%_datadir/apps/knotify/*
%dir %_datadir/apps/ksgmltools2
%_datadir/apps/ksgmltools2/*
%dir %_datadir/apps/kssl
%_datadir/apps/kssl/*
%dir %_datadir/apps/kstyle
%_datadir/apps/kstyle/*
%dir %_datadir/apps/kcertpart
%_datadir/apps/kcertpart/*
%dir %_datadir/apps/katepart
%_datadir/apps/katepart/*
%dir %_datadir/apps/kcm_componentchooser
%_datadir/apps/kcm_componentchooser/*
%dir %_datadir/apps/ktexteditor_insertfile
%_datadir/apps/ktexteditor_insertfile/*
%dir %_datadir/apps/ktexteditor_isearch/
%_datadir/apps/ktexteditor_isearch/*
%dir %_datadir/apps/ktexteditor_kdatatool/
%_datadir/apps/ktexteditor_kdatatool/*
%dir %_datadir/autostart/
%_datadir/autostart/*.desktop
%_iconsdir/*
%dir %_datadir/mimelnk
%_datadir/mimelnk/*
%dir %_datadir/emoticons
%_datadir/emoticons/*
%_datadir/locale/*
%dir %_datadir/services/
%_datadir/services/*
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*
%_sysconfdir/xdg/kde/menus/*
# Not ship this files
%exclude %_bindir/filesharelist
%exclude %_bindir/fileshareset

#--------------------------------------------------------------
%if %compile_apidox

%package devel-doc
Group: Development/KDE and Qt
Summary: Development documentation for %name
Requires: qt3-doc
BuildRequires:	doxygen
BuildRequires:  graphviz
BuildRequires:	qt3-doc

%description devel-doc
This packages contains all development documentation for kdelibs

%files devel-doc
%defattr(-,root,root,-)
%doc %_docdir/HTML/en/kdelibs-apidocs

%endif


%prep
%setup -q  
%patch1 -p1 -b .speedbar_xdg_user_dirs
%patch2 -p1 -b .add_kfile_item_in_global
%patch3 -p1 -b .fix_disable_button
%patch5 -p1 -b .xdg_dirs_document_path
%patch6 -p1 -b .dcop_wrong_reply
%patch7 -p1 -b .smooth
%patch8 -p0 -b .rubber
%patch9 -p0 -b .avahi_support
%patch10 -p1 -b .move_xdg_menu_dir
%patch11 -p1 -b .catalogs
%patch12 -p1 -b .fix_https_loop
%patch13 -p1 -b .fix_translate_menu
%patch14 -p1 -b .fix_translate_desktopfile
%patch16 -p1 -b .ldap
%patch17 -p1 -b .kio_beagle
%patch18 -p1 -b .lzma_support
%patch21 -p1 -b .cups_default
%if %{use_kickoff_menu}
%patch100 -p0 -b .kickoff
%patch101 -p0 -b .kickoff
%endif
%patch204 -p0 -b .post358

%build
# This step is needed mostly because avahi patch
# Until better solution is find, do not remove the build
# regenerate step
make -f admin/Makefile.common cvs

QTDIR="/usr/lib/qt3" ; export QTDIR ;
PATH="/usr/lib/qt3/bin:$PATH" ; export PATH ;
export xdg_menudir=%_sysconfdir/xdg/kde/menus

%configure2_5x \
%if %unstable					
	--enable-debug=full \
%else
	--disable-debug \
%endif
	--enable-libfam \
%if %use_enable_final
	--enable-final \
%else	
	--disable-final \
%endif
	--enable-shared \
	--disable-static \
	--enable-fast-install=yes \
	--disable-embedded \
	--disable-palmtop \
	--disable-rpath \
	--enable-mitshm \
	--disable-arts-gsl \
	--enable-cups \
	--enable-pcre \
	--with-gnu-ld \
%if %use_hspell_plugins	
	--with-hspell \
%else
	--without-hspell \
%endif
	--with-pic \
	--with-xinerama \
	--with-alsa \
	--with-ipv6-lookup=auto \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-extra-includes=/usr/include/avahi-compat-libdns_sd/ \
	
%if ! %use_enable_final
   make -C dnssd mocs
%endif

%make

%if %compile_apidox
make apidox
%endif


%install
rm -fr %buildroot

make DESTDIR=%buildroot install

# Lets push an stable mimlnk source tree, instead of dealing with patches
pushd  %buildroot/%_datadir/
    rm -rf mimelnk
    tar xfj %SOURCE1
popd

rm -f %buildroot/%_iconsdir/hicolor/index.theme

%if %compile_apidox
make install-apidox DESTDIR=%buildroot/
%endif

%clean
rm -fr %buildroot



%changelog
* Thu Feb 14 2008 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.9-2mdv2008.1
+ Revision: 168139
- Revert the Makefile.am changes to allow header proper install
- Revert the Makefile.am changes to allow header proper install

* Thu Feb 14 2008 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.9-1mdv2008.1
+ Revision: 167794
- Get away from branches. Last KDE 3 arriving !!
- Removed post-3.5.8 patches intregrated
- Fixed dnnsd patch and added a workaround on spec to not brask nrproc compilations

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - fix breakage with tar.bz2 archives (modifies P18, fixes #37194)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [FEATURE] Add back bookmark dialog (Bug #31933)

* Wed Jan 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.8-9mdv2008.1
+ Revision: 153911
- [BUGFIX] Fix embedding started from outside by reparenting inside to QXEmbed. (Bug #36478)

* Wed Jan 09 2008 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.8-8mdv2008.1
+ Revision: 146989
- [BUGFIX] Fix tests on %%post (Bug #32974)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - regenerate lzma patch (P18)

* Sat Dec 22 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.8-7mdv2008.1
+ Revision: 136741
- Updated to branch, with officil qxembed/flash fixes
- Fixed ldap patch
- Disabled lzma for now since it's not applying with current base

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Danilo Cesar Lemes de Paula <danilo@mandriva.com> 30000000:3.5.8-6mdv2008.1
+ Revision: 122429
- Add a patch to detect cups every time.
  If user force the choice, autodetect will be stoped.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed qxembed and flash novell patches to compile
    - Added current qxembed patch from suse
    - Fix smooth scrooling patch, based on suse current patch
    - Remove old qxembed patch. not valid for current status and superseded by flash test patch
    - Added Lubos kdelibs part test patch for flash plugin issues

* Thu Dec 06 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 30000000:3.5.8-3mdv2008.1
+ Revision: 115892
- Requires nss_mdns so that zeroconf works. (#21010)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Build as we have now qt4 as default

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - fix lzma filter bug, fixes reading of >8KB man pages (fixes #34294)

* Mon Nov 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.8-2mdv2008.1
+ Revision: 106219
- [BUGFIX] Fix encoding of control panel and main menu (Bug #27478)

* Wed Oct 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.8-1mdv2008.1
+ Revision: 101837
- Fix File list
- Remove patch 247 ( merged upstream )
- Kde 3.5.8
- Remove upstream merged patches
- [BUGFIX] Fix avahi support (Bug #26154)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 30000000:3.5.7-43mdv2008.0
+ Revision: 94112
- Add conflicts on mandrake-mime for update from 2007.0

* Fri Sep 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 30000000:3.5.7-42mdv2008.0
+ Revision: 93438
- Fix xdg-user-dir usage in KDE on non-utf8 locales (#33973)
- Removed obsolete document path patch

* Fri Sep 21 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-41mdv2008.0
+ Revision: 92016
- Fixed pdf2ps on the fly conversion in kdeprint. Thanks to Ademar Reis to dig, catch and provide
  the fix

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - [BUGFIX] Add mimetype for *.m2t files (Bug #27589)

* Fri Sep 14 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-40mdv2008.0
+ Revision: 85681
- Latest updated on libltdl and khtml rendering

* Thu Sep 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 30000000:3.5.7-39mdv2008.0
+ Revision: 85316
- Add lzma support (#32877)

* Wed Sep 12 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-38mdv2008.0
+ Revision: 84624
- Updated cve-4224-4225-3820
- kurl patches
- xhtml fixes
- Add pdf2ps converdion as a kprinter filter. Thanks to Ademar found the bug

* Mon Sep 10 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-36mdv2008.0
+ Revision: 84149
- Fixed latest cookie jar patches. Neoclust modified the flaw patch for kopete crash. Need be
  remember that the change was done directly on old patch, instead of follow correct mandriva
  procedure of add proper new patch branch revision. In the future, people that touch in kdelibs
  should avoid enter same patch again.

* Thu Sep 06 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-35mdv2008.0
+ Revision: 81097
- Application requesting mime from mdkonline without require the packge itselfr leas developers to make errors on fixing mimetypes

* Wed Sep 05 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-34mdv2008.0
+ Revision: 80379
- Latest mimetypes
- Disable http patches that breaks kopete msn http login

* Mon Sep 03 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-32mdv2008.0
+ Revision: 78603
- Added lates patches from branch

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Another mimetype fix for 32764
    - [BUGFIX] -Fix french comment of image/x-bzeps.desktop (#32764)

* Sat Sep 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.7-31mdv2008.0
+ Revision: 77709
- Fix some mimetypes
  		- Remove x-mdv-exec
  		- add 2 pdf mimetypes

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-30mdv2008.0
+ Revision: 76328
- Boiko's patch to fix svn rendering and including embed images
- More patches from upstream branch

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-29mdv2008.0
+ Revision: 74689
- Last mimetypes, m3u recursion fix
- Cups 1.3 now fully functional
- Mimetype tree is provided in a separate tarball instead of multiple patches.
  The intention is to make easy to fix all missing ones, as reported by kbuildsyscoca.
  Almost all video, audio and image mimetypes are solved now, some application/ still to be solved,
  mostly due to gnome apps requires.
- This patch is uselles, as problem happens before reach proper test
- Start to fix the remaining mime issues

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - add upstream patch from BRANCH (patch 252)
    - Add 2 upstream patches from 3.5.x BRANCH

* Fri Aug 24 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-27mdv2008.0
+ Revision: 70874
- Added remaining patches on branch tree
- Fixed build with cups 1.3, updated with no advise :-/
- Added last remaining patches for xdg user dirs
- Added XDG USER DIRS spec.
- Removed old invalid patchs
- Removed support for legacy icons
- Added XDG USER DIRS catalog as standard
- Remove the recursive mimetype. Previous workaround to real fix. This not prevents happens in the
  future in a new mime addition, but solves current 100%% cpu usage in mime calls. Need run
  kbuildsyscoca again for be effective in already running installs

* Wed Aug 15 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-23mdv2008.0
+ Revision: 63782
- On the fly per-app language change....

* Wed Aug 15 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-22mdv2008.0
+ Revision: 63689
- Sec. fix CVE-2007-4224, CVE-2007-3820, CVE-2007-4225

* Tue Aug 14 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-21mdv2008.0
+ Revision: 63408
- Added another patch from upstream branch
- Fixed file conflicts. New urpmi/rpm is doing a great job to fix our ancient problems

* Mon Aug 13 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-20mdv2008.0
+ Revision: 62659
- Rename patch for proper name
- Submit package, which for some reason aren't submitted before. Should solve Mdv bug
  http://qa.mandriva.com/show_bug.cgi?id=32488

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add patch 227 : Better consolekit support
    - add some missing Excel mimetypes

  + Funda Wang <fundawang@mandriva.org>
    - meinproc requires xmllint

* Fri Jul 27 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-19mdv2008.0
+ Revision: 56129
- Removing invalid patch for share dialog disable. Was in same pack as kickoff old patches and was applied by mistake
- Changing to one license only

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - add missing mimetype

* Wed Jul 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.7-17mdv2008.0
+ Revision: 55210
- Remove non-existant mimetypes from Makefile

* Tue Jul 24 2007 David Walluck <walluck@mandriva.org> 30000000:3.5.7-16mdv2008.0
+ Revision: 55073
- fix release
- move binaries in libkdecore to common in order to allow parallel lib installs

* Thu Jul 19 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-15mdv2008.0
+ Revision: 53378
- Fix kde bug #130104

* Mon Jul 16 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-14mdv2008.0
+ Revision: 52656
- Update latest bugfixes from upstream branch

* Mon Jul 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.7-13mdv2008.0
+ Revision: 52529
- Do not add x-fli file

* Mon Jul 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.7-12mdv2008.0
+ Revision: 52399
- Add  Mimetypes for video/
- Add Mimetypes for image/
- Add Mimetypes for text/
- Fix install of x-zip-compressed

  + Anssi Hannula <anssi@mandriva.org>
    - drop requires on aspell from kdelibs-common (users should be free to remove
      aspell if they do not use it for spell-checking)

* Mon Jul 09 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 30000000:3.5.7-11mdv2008.0
+ Revision: 50637
- Remove the build requirement for the mandriva menu category script
- Remove mandriva specific categories script
- Fix the fix-document-path patch which was not using readlink in the right way

* Thu Jun 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.7-10mdv2008.0
+ Revision: 39756
- Add mimetype for flv files (bug #31285)

* Wed Jun 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.7-9mdv2008.0
+ Revision: 38993
- Own %%_libdir/kde3 directory

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 30000000:3.5.7-8mdv2008.0
+ Revision: 36178
- rebuild with correct optflags

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added latest relevant patches from branch

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add patch202 from kde bugzilla ( bug #52151 )

* Fri Jun 01 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-5mdv2008.0
+ Revision: 34251
- Added post 3.5.7 gmail backport

* Fri Jun 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 30000000:3.5.7-4mdv2008.0
+ Revision: 34037
- Remove mandriva-create-kde-mdk-menu Requires
- First patch to add new mimetypes ( excel related )

  + Anssi Hannula <anssi@mandriva.org>
    - Add missing buildrequires for idn-devel

* Thu May 17 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-3mdv2008.0
+ Revision: 27591
- Minor update in official tarball from kde.org

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-2mdv2008.0
+ Revision: 27434
- 3.5.7 release
- Added extrea catalog for kickoff translations

* Thu May 10 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.7-0.6mdv2008.0
+ Revision: 26175
- Updated for branch revision 663293
- Fixed apidocs install


* Tue Apr 03 2007 Helio Chissini de Castro <helio@mandriva.com> 3.5.6-12mdv2007.1
+ Revision: 150404
- Fix properly .mdk-folders symlink problem.

* Sun Apr 01 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.6-11mdv2007.1
+ Revision: 150171
- Fix ecma mem leak
- Fix requires

* Fri Mar 30 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.6-10mdv2007.1
+ Revision: 149904
- ++;--;++;OO;MM
- Missing patch
- fix vulnerability

* Wed Mar 28 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.6-8mdv2007.1
+ Revision: 149111
- Fix crash bug #143387

* Tue Mar 27 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.6-7mdv2007.1
+ Revision: 148970
- Fix CVE-2007-1564

* Mon Mar 19 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.6-6mdv2007.1
+ Revision: 146543
- Fix aspell path (on x86-64)

* Fri Mar 09 2007 mandrake <mandrake> 30000000:3.5.6-5mdv2007.1
+ Revision: 138909

* Thu Mar 08 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.6-4mdv2007.1
+ Revision: 138126
- Fix CVE-2007-1308

* Tue Feb 06 2007 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.6-3mdv2007.1
+ Revision: 116720
- Reenable avahi support
- There's remaining changelog inside spec

  + Laurent Montel <lmontel@mandriva.com>
    - Fix khtml history

* Thu Jan 25 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.6-1mdv2007.1
+ Revision: 113405
- 3.5.6
- 3.5.6

* Mon Jan 15 2007 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.5-6mdv2007.1
+ Revision: 109032
- mandrake-mime was removed

* Thu Nov 30 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.5-5mdv2007.1
+ Revision: 89226
- Fix kate save session: Don't restore kate session when file was temporary file
  (bug found by JLoup)
- Revert

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added ldap kde schema for reference
    - Introducing ldap patch for kconfig. All work is done based on future kde
      3.5.6, so for now on we are basing our releases on KDE 3.5 branch snaphots. The cost of
      develop patches for old codebase and after redone again same work is more than the
      time we have available for complete work and test.
    - the current patch is strongly based on Willem Verschuur work provided for
      Mandriva and is the server read part. The operations are done sync, not async.
    - TODO: Make a env var switch to turn on/off ldap on the fly ( current just on
      configure to enable/disable feature )
    - TODO: Verify immutable conditions for global and single items. Group immutable
      properties are available already

* Thu Nov 16 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.5-2mdv2007.1
+ Revision: 84615
- Rebuild
- As said on maintainer we use official tarball
  not a random snapshot
  If there is a critical crash add a patch to fix it.

* Fri Oct 13 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.5-1mdv2007.1
+ Revision: 63747
- Add packager tag
  Allow to build with distro <2007

  + Helio Chissini de Castro <helio@mandriva.com>
    - Back to use branch tarballs. Now using post 3.5.5. Last hour patches appears
      on branch.
    - Removed buggy cups patches
    - Removed cups config. ( will be on kde-cnofig package )
    - Added a workaround patch for strange dcop reply problem detected on 2007
      close. Appears mostly on slow operations, and live cd's are the most affected.
    - Update for upcomming KDE 3.5.5
    - Update for upcomming KDE 3.5.5

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Fix the translate-menu patch, it was missing an include.

* Mon Sep 18 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.4-19mdv2007.0
+ Revision: 61786
- Fix knewstuff
- New package (2006-09-17 19mdv)
  Fix translate desktop file

* Sat Sep 16 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.4-18mdv2007.0
+ Revision: 61540
- New package (2006-09-15 18mdv)
  Readd patch to specify default mdk sound
- New package (2006-09-14 17mdv)
  Fix menu translate

* Thu Sep 14 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.4-16mdv2007.0
+ Revision: 61280
- New package (2006-09-15 16mdv)
  Rebuild for x86_64 pb with lua)

* Wed Sep 13 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.4-15mdv2007.0
+ Revision: 61053
- Now we don't have conflict
- New package (3.5.4-15mdv 2006-09-12)
  Fix missing bmp.desktop mimetypes needs by apache conf

* Sat Sep 09 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.4-14mdv2007.0
+ Revision: 60619
- Fix typo reported by neoclust
- New package (2006-09-08 14mdv)
  Fix distro name
- New package (2006-09-05 3.5.4-13mdv)

* Wed Aug 30 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.4-12mdv2007.0
+ Revision: 58654
- New package (3.5.4-12mdv 2006/08/29)
  Fix install dnssd header
  => now we can compile kdebase/kdegames and co

* Tue Aug 29 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.4-11mdv2007.0
+ Revision: 58553
- Removed invalid kate patch
- Fixed distributed compilation on avahi patch
- Fixes frmo kde branch:
- khtml - adjust line disjonction calculation
- khtml - support parsing of attribute/>
- khtml - make sure to call setChanged when an anchor changes
 from not being a link to being a link (and vice versa)."
- kstandarddirs - Read icons also from $XDG_DATA_DIRS, modified patch from
  kde bug #97776.
- khtml - mark table caption for layout if needed.
- kdebug - fix crash
- khtml - trying to make it pick the right font directories. for X.org 7.x

  + Laurent Montel <lmontel@mandriva.com>
    - Revert: "where we defined that it's not necessary ?!"

* Sat Aug 26 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.4-9mdv2007.0
+ Revision: 58131
- Fix patch apply level
- Add the optimization patch file
- More fixes from kde branch tree:
  kded - In menu, typical bug of using firstChild() to get the first element, which fails
  when there is a comment in the XML
  kioexec: make drag & drop work for some .desktop files
  kio-http: Sanity check patch
  kdict: Don't mark the editor incorrectly as modified when rehighlighting from
  KDictSpellingHighlighter. KDE bug # 101003
  kabc: Fix incorrect 'endl' usage introduced by #100188 fix.
  kdeui: Make "unclutter" and "cascade" work on the current screen in
  multi-head environments.
  khtml: Propertly handle <colgroup> w/o span, and make span
  parsing a bit more robust.
- Fixed "Documents" patch for Mandriva
- Added experimental kwin optimization patch for reduce netwm communications.
- Added some fix from KDE branch tree
- kate - Modeline per mime-type/extension
- kate - Make S&S C Style show up properly in menus.
- kate - CStyle identer fix - KDE bugs #99717, #104382
- kate - Fix S&S indentation for colons. - KDE bug #113033
- kate - Fix wrong usage of virtual cursor position
- khtml - Get a more correct stacking order of blocks with overflow != visible
- khtml - Fix broken logic in NodeIterator's getNextNode/getPreviousNode
  leading to possible escape out of the root node.
- khtml - Support CSS3's hsv/hsva color values.
- khtml - "xmlhttprequest breaks on utf-8 strings" - KDE bug #131242

* Thu Aug 24 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.4-8mdv2007.0
+ Revision: 57772
- Patch to fix css coding from kde branch
- kssl fix from kde branch tree
- Removal of hardcoded configurations
- Icon context pacth from kde branch tree

* Sat Aug 19 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.4-6mdv2007.0
+ Revision: 56697
- Several fixes from kde branch:
- fix silent startup notification never going away
- make it possible for kde-apps provided slaves to hook into
  mimetypes without having to overwrite kdelibs's mimetypes
- Fix 'kfmclient exec file:/path#anchor' Freedesktop bug #7863
- Fix locale-dependence in the kjs parser
- Stop leaking strdup()s to putenv(). Apps that call KTimezone::local()
  now use at least 15 kB less memory on a standard system.
- "kcmshell background" loads a blank page here as it finds
  GNOME's background.desktop and fixing all .desktop files
  in kcontrol is a bit weired

* Sat Aug 12 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.4-4mdv2007.0
+ Revision: 55671
- SSL fixes from kde branch:
- Init TLS when necessary.  Based on patch, but avoids memory leak and other
  problems.  KDE bug #108388
- Make SSL work again for sites that don't support TLSv1. KDE bug #132098
- Fix to khtml capitalization crashed from kde branch. KDE bug #132050

  + Laurent Montel <lmontel@mandriva.com>
    - Fix loop when we change http to https protocol

* Tue Aug 08 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.4-3mdv2007.0
+ Revision: 54242
- Fix khtml patch
- Test pacth before
- khtml fix: crash upon deleting cells from rows - KDE bug #90462
- We don't want too much debug messages :-)

* Tue Aug 08 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.4-2mdv2007.0
+ Revision: 53877
- Fix overlay icon drawing on favicon. Changelog from kde: Simply overlay the
  favicon directly to the QImage before converting to QPixmap instead of messing
  with the QPixmap mask (and even partially loosing the alpha).

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.4-1mdv2007.0
+ Revision: 42941
- First step when we apply patch into svn:
-> TEST IF IT'S COMPILE AND CAN BE APPLY !!!!
  new package (3.5.4-1mdv) (2006/08/02)
- New Package (2006/08/02) 3.5.4-1mdv
  (repsys doesn't give this info)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added patch for post 3.5.4 fix on global accel. Related by kde bug
      http://bugs.kde.org/show_bug.cgi?id=117169
    - Added khtml regression patch from kde tree.
    - Updating for 3.5.4
    - Added fix from post 3.5.4 release for kdefx. From kde commit changelog:
    - "features" is clobbered by the longjmp, so mark it as volatile
      to avoid that a clever compiler (gcc 4.2) optimizes reads away.

* Fri Jul 21 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.3-13mdv2007.0
+ Revision: 41737
- Workaround for cups1.2 patch from jonas wustrack <jwustrack@mandriva.com>

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.3-12mdv2007.0
+ Revision: 41588
- Time to disable debug
- Fix khtml bug

* Tue Jul 18 2006 Laurent Montel <lmontel@mandriva.com> 30000000:3.5.3-10mdv2007.0
+ Revision: 41412
- clean patch for old xdg menu method
  Add requires on desktop-common-data
- Use provide virtual

* Sat Jul 15 2006 Helio Chissini de Castro <helio@mandriva.com> 30000000:3.5.3-8mdv2007.0
+ Revision: 41174
- Updated tarball with 20060714 branch. Several khtml speedup changes noted
- Removed mandriva icons, now presented in mandriva-kde-icons package
- Removed unused patches
- Redone patchs marked as REAPPLY
- Rearrange spec file to reduce size
- Removed rm -rf usage on install procedures for a solution based on exclude
  macro
- Enabled smooth scrolling and rubberband patchs ( mostly file manager eye candy
  patches ).
- Increase release
- Added tarball from kde branch as discussed on meeting in 28/06
- Removed rpath and added configure macro invalidating libtoolize
- Removed some patches already applied upstream
- Increase version.
- Removed explicit libmdns requires, as requested. Deps should be made automatic
- Added reverse fontconfig reverse lookup patch ( from OpenSUSE )
- Added rubberband patch from brazilian KDE develope Andr?\195?\169 Magalh?\195?\163es ( disabled for now )
- Added smooth scrolling patch
- Rebuild against new qt 3.3.5 with major listview take item patch
- We are Mandriva now
- Recompile against new qt 3.3.5
- Add global correct kfile patch
- Fixed wrong applnk dir removal. Brokes screensaver detection
- Modified libsuffix detection ( thanks to Laurent )
- Separate development docs from main libkdecore devel package. This reduced the size of
  main devel package from 33 Mb to 1.4 Mb, since you don't need docs to compile any kde app
- Cleanup of kdelibs specfile. Old one had a lot of unused entries, patches that remove code followed by another patches that add the removed code again, etc..
- Added patch for virtual kfile folders
- --enable-fast-malloc isn't necessary anymore on x86 on current glibc. The current behaviour is just provided as a backport for old glibc based distros
- amd64 libsuffix patch not needed anymore. changed for a proper --add-libsuffix=64 on configure with %%ix86_64 arches
- Unified kstandarddirs patches ( duplication ) to kdelibs-3.4.2-mandriva-xdg-settings.patch, removed patches:
  kdelibs-3.4.0-type-menu.patch
  kdelibs-3.4.0-distro-type.patch
  kdelibs-3.4.0-add-mdk-path.patch
  kdelibs-3.3.2-fix-kstandarddirs.patch
  kdelibs-3.2-applnk-default-directory.patch
  kdelibs-3.3.2-fix-associate-menu.patch
- Added easy macros to enable/disable features on rpm build instead of touch spec file every time
- Fixed kurlbar patch which missing a include based on assumption that kstandarddirs.h is alwaya providing kdesktopfile.h, which make compilation a bit slowers due to include redundancy
- Uploading package ./kdelibs

  + Laurent Montel <lmontel@mandriva.com>
    - Increase version
    - svn sucks
    - Use variable and not read into file (thank Fc to point me it)
    - Patch109: fix khtml crash kde bug  #119512 (from kde3.5.4 branch)
    --enable-new-ldflags doesn't work on x86_64
    - Fix
    - Fix compile under x86_64
      option "--enable-new-ldflags" doesn't work (now) on x86_64
    - mdk-hicolor is not a valid icon them
    - Use macro
    - Improve xinerama support
    - Fix setuid
    - 3.5.3
    - Fix load rgb.txt file with new xorg
    - Rebuild against new glibc/gcc
    - Rebuild against new xorg
    - Requires/BuilRequires new mandriva-create-menu which
      translate section before to create categories
    - Disable some patch when we use new xdg menu
    - Fix requires
    - Add requires and not buildrequires
    - Use mandriva-create-menu >= 2mdk
      Now we can add category automaticly
    - Use new mandriva-create-menu
    - Move menu directory into /etc/xdg/kde/menus/
    - Fix for cups-1.2
    - Rebuild: pb kdelibs package on x86_64
    - 3.5.2
    - Rebuild for x86_64 (qt was rebuild after kdelibs => we couldn't compile kde package on x86_64)
    - Fix load desktop file
    - Update from branch (lot of khtml fix)
    - Rebuild for missing package
    - Add
    - Fix pb conflict found by neoclust
      Add a workaround to build kdelibs with new cups: Wait fix cups
    - Fix install on mdk <= 2006
    - 3.5.1
    - MDK9.2 is obsolete now
    - Fix build on mdk <= 2006
      (request qt from community)
    - Fix buildrequires
    - Fix buildrequires
    - Fix linkage of dnssd with libavahi-client (thanks gb)
    - Fix patch
    - Fix patch
    - Fix install header
    - Add support for zeroconf+avahi lib
    - Fix search avahi daemon
    - Add support for avahi
    - Sync with kdelibs 3.5
    - Now hspell compiles
    - Fix conflict
    - Fix conflict
    - Fix missing new file
    - Diff from kde3.5 branch
    - Increase releasewq
    - Generate debug
    - Fix suid
    - Split package to fix pb with soundwrapper
    - Disable for the moment compile with hspell
    - Real patch to test cups >= 1.2 (I will commit it into svn)
      Requires hspell now
    - Add now there is a BIC specify good qt version
      (need for x86_64, because kdelibs was not rebuild with good qt)
      Add patch103: fix compile with cups. I don't understand how previous
      kdelibs was rebuild...
    - Add now there is a BIC specify good qt version
      (need for x86_64, because kdelibs was not rebuild with good qt)
    - Fix spec file
    - Real kde3.5
    - Use %%mkrel
    - 3.5.0 (named as rc1)
    - Add requires on acl-devel
    - clean spec file
    - Rebuild for bad package
    - Increase release
    - Fix conflict with kdevelop
      MDK bug #19377
    - Add patch from neoclust (thanks)
    - Fix conflict
    - Fix spec file
    - 3.4.92
    - Add icones device
    - Fix list of kcmshell in discovery
    - Rebuild
    - Fix theme by distro
    - Fix exist directory
    - Fix error in background color
    - Add default mdv startup sound
    - Fix again :(
    - Fix error in patch
    - Fix error
    - Fix default color
    - New sync
    - Fix fix
    - Fix patch for upgrade
    - Rebuild (necessary)
    - Default icon theme for discovery
    - Last update
    - Fix screensaver
    - Fix code
    - Change url for links
    - Remove patch
    - Clean spec
      New sync
    - Add kfile speedbar item
    - Fix compile under x86_64
    - Fix update from mdv2005
    - Update for fix xinerama
    - Fix spec file
    - New sync to fix some visibility export
    - Rebuild for x86_64
    - New sync
    - Fix conflict with kdeadmin < 3.2.3 (update from mdk10.1)
    - Fix konqueror crashs mdk bug #16466
    - Disable kjobviewer, it doesn't work with dbus, use cups-applet
    - Disable icon catching asked by Boiko
    - Disable debug
      Add diff from kde3.4.2
    - Fix typo
    - Add provide for kde-l10n
    - Fix build when we don't have kdelibs installed on pc
    - Fix compile with mdk <= 2006
    - Fix build doc
    - 3.4.2
    - Try new patch from Boiko
    - Rebuild on x86_64
    - Disable icon catch patch for the moment
    - Sync with cooker version

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New version of the icon server patch
      * better handling of application ref/deref
      * fixed the first kde startup for new users
      * keep the icons for more time in the icon server (I think it could be even
        more. need to check)
      * Apps don't deref unused icons anymore. They are deref'ed on application exit.

* Wed Jun 29 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-8mdk
- Use patch uncompressed for svn store.

* Sat Jun 25 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-6mdk
- New version of icon caching patch from Boiko:
	- Use DCOP signals to notify applications about cache file 
		changes and the server status
	- Load icons asyncronally at startup in the icon server, 
		so it won't block the KDE startup when the server has many icons
	- Improve application refcounting control (which still 
		needs some improvements that I'm working on).
	- Better handling of XImage pointers (prevents QPixmap from 
		accessing invalid pointers and crash).

* Wed Jun 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-5mdk
- New version of icon cach patch from Boiko

* Tue Jun 21 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-4mdk
- Add patch3005: fix kde bug #103935/#107363

* Thu Jun 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-3mdk
- Update from SVN
- Add code from boiko for icon caching (for testing send email if it doesn't work please)

* Tue Jun 14 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-2.1mdk
- add icon caching

* Thu Jun 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-2mdk
- Add patch3100: fix dcopserver rename appli, necessary for Boiko

* Sat May 28 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.1-1mdk
- 3.4.1

* Fri May 20 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-12mdk
- Rebuild for bad package

* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-11mdk
- Minor fix kdelibs spec

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-10mdk
- Rebuild with new GCC-4.0.0

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-9mdk
- Sync with CVS

* Sat Apr 23 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-8mdk
- Add patch3003: fix kcmshell --list

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-7mdk
- Add patch3002: fix configure email

* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-6mdk
- Fix conflict with kmplayer

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-5mdk
- Update code fom CVS

* Wed Apr 13 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix other exception

* Wed Apr 13 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Reapply some patch
- Remove old patchs

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Clean some patch ( thanks Neoclust <neoclust@mandrake.org> )
- Reapply some patch
- Change email
- Clean duplicate entry (thanks Nicolas Chipaux )
- Fix requires (thanks Nicolas Chipaux)
- Fix conflicts (kmplayer)
- Fix exception (Thanks Nicolas Chipaux)

* Fri Apr 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
-  3.4.0
- Reenable debug
- use --enable-new-ldflags
- use mDNSresponder

* Thu Mar 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-123mdk
- add patch1200: fix khtml kde bug #99584

* Wed Mar 30 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-122mdk
- Add patch1199: fix khtml kde bug #88727

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-121mdk
- Add patch1198: fix KDE_EXPORT into ghelp (need otherwise it doesn't start)

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-120mdk
- Fix upgrade from MDK 10.1

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-119mdk
- Add patch1197: fix khtml kde bug #87528

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-118mdk
- Add patch1196: fix khtml kde bug #81393

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-117mdk
- Add patch1195: fix khtml kde bug #93035

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-116mdk
- Add patch1194: fix kdebindings compile

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-115mdk
- Add patch1193: fix aspell-0.60 config

* Thu Mar 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-114mdk
- Fix patch1192: embed can be null

* Thu Mar 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-113mdk
- add patch1190: fix khtml kde bug #86973 #98975
- Add patch1191: fix khtml kde bug #76434
- Add patch1192: fix khtml kde bug #66591

* Wed Mar 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-112mdk
- Add patch1189: fix kde bug #77333 #83476

* Wed Mar 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-111mdk
- Add patch1188: fix mdk bug #14653

* Wed Mar 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-110mdk
- Generate menu entry when we associate unknown apps

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-109mdk
- Add patch1187: fix associate application with unknown apps

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-108mdk
- Add patch1185: fix khtml kde bug #53038
- Add patch1186: fix associate file

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-107mdk
- Remove fileshareset

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-106mdk
- Reenable -fvisibility for ppc ask by Christiaan Welvaart <cjw@daneel.dyndns.org>

* Thu Mar 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-105mdk
- Add patch1184: Don't crash when JS is disabled

* Wed Mar 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-104mdk
- Add patch1183: fix xdg menu support

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-103mdk
- Add patch1182: fix xdg menu duplicate code

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-102mdk
- Add requires on menu-xdg

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-101mdk
- Add patch1181: fix kmainwindows restoring

* Mon Mar 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-100mdk
- Add patch1179: fix khtml kde bug #100947
- Add patch1180: fix khtml kde bug #100649

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-99mdk
- Add patch1177: fix khtml kde bug #89900
- Add patch1178: fix kde bug #100698

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-98mdk
- Remove %%dir /usr/share/applications/

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-97mdk
- Add patch1175: fix idn configurable
- Add patch1176: fix khtml kde bug #97085

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-96mdk
- Add patch1173: fix khtml redirect
- Add patch1174: fix dcop

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-95mdk
- Add patch1171: fix khtml kde bug #78205
- Add patch1172: fix khtml kde bug #96865

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-94mdk
- Add patch1170: fix kde bug #98743

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-93mdk
- Add patch1169: fix kfileitem mem leak

* Fri Feb 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-92mdk
- Add patch1167: disable idn by default
- Add patch1168: fix kopenwith twice test

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-91mdk
- Fix missing some export symbole
- Add patch1166: fix khtml kde bug #100066

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-90mdk
- Add patch1164: fix kde bug #69906

* Wed Feb 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-89mdk
- Fix patch1163: now kde support complete xdg standard menu (DefaultLayout supported now, my patch will add into kde 3.x.x)

* Wed Feb 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-88mdk
- Add requires on aspell (spell checker by default on kde)

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-87mdk
- Disable 1161 not perfect

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-86mdk
- Add patch1164: fix khtml kde bug #83786

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-85mdk
- Add patch1163: support complete freedesktop xdg menu

* Tue Feb 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-84mdk
- Add patch1162: fix kwallet kde bug #99902

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-83mdk
- Add patch1159: fix kwallet wizard kde bug #95812 "shrink the dialog to below 640x480"
- Add patch1160: fix khtml kde bug #68438
- Add patch1161: fix khtml kde bug #58247

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-82mdk
- Add patch1158: fix kspell kde bug #86940

* Fri Feb 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-81mdk
- Add patch1157: fix kkeydialog kde bug #99396

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-80mdk
- Add patch1156: fix kprotocolmanager kde bug #98876

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-79mdk
- Add patch1155: fix khtml kde bug #68523

* Wed Feb 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-78mdk
- Add patch1153: fix css_base selected text
- Add patch1154: fix drawing pixmap in khtml

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-77mdk
- Add patch1152: fix kde bug #75267

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-76mdk
- Add patch1151: fix kstyle kde bug #99378

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-75mdk
- Fix patch1148 doesn't work :(

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-74mdk
- Add patch1150: fix khtml kde bug #83407

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-73mdk
- Add patch1149: fix khtml "clsid for quicktime and wmp activex plugins"

* Sun Feb 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-72mdk
- Add patch1148: fix security fix

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-71mdk
- Add patch1147: fix kdirlister kde bug #37780

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-70mdk
- Disable debug

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-69mdk
- Add patch1146: fix create associate file when menu doesn't exist

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-68mdk
- Adapt for new directory path

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-67mdk
- Add other export for kdebindings
- Sync with kde 3.3 branch

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-66mdk
- Add patch1144: khtml "never allow float propagation from a different formatting context"
- Add patch1145: fix khtml kde bug #97722 "Proper focus management with multiple tabs."

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-65mdk
- Add patch1143: fix khtml kde bug #85984

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-64mdk
- Add patch1140: fix kextsock
- Add patch1141: fix kconfigbase dollar sign
- Add patch1142: fix khtml cache kde bug #78575

* Sun Feb 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-63mdk
- Sync kdelibs fix khtml/java #97545

* Wed Feb 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-62mdk
- Add patch1139: fix khtml rendering 
	"Only take servicetype from embed if it actually has one. Fixes
	http://www.apple.com/trailers/lions_gate/aloneinthedark/large.html"

* Tue Feb 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-61mdk
- Add patch1138: fix khtml kde bug #74895, #92910

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-60mdk
- Add patch1137: fix aspell dict detect

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-59mdk
- Fix MDK kde bug #13322
- Add patch1136: fix khtml kde bug #96187

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-58mdk
- Add patch1132: fix kprocctrl "fix signal race"
- Add patch1133: fix khtml kde bug #97806 "RTL text overlapping when using text-align: justify."
- Add patch1134: fix khtml kde bug #93607

* Sat Jan 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-57mdk
- Add patch1131: fix kfilemetainfo mem leak

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-56mdk
- Fix generated menu.

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-55mdk
- Add patch1130: fix kate "replace tabs by a space, because tabs were interpreted as a shortcut."

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-54mdk
- Remove all reference to applnk-mdk/applnk-mdk-simplified

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-52mdk
- Add patch1128: fix kate kde bug #97486

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-51mdk
- Add patch1127: fix search makekdewidget

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-50mdk
- Add patch1126: fix makekdewidget crash (bug found by Gb)

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-49mdk
- Add patch1125: fix khtml kde bug #95981

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-48mdk
- Fix patch1123: add entry on desktop when we dnd

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-47mdk
- Add patch1123: add entry on desktop
- Add patch1124: fix khtml kde bug #95704

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-46mdk
- Add patch1122: fix html "Add application/x-javascript to the accepted types"

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-45mdk
- Add patch1121: disable button when all is disable in kfiledialobox
- Disable -fvisibility in ppc

* Sat Jan 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-44mdk
- Add patch1119: fix khtml kde bug #97137

* Fri Jan 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-43mdk
- Add patch 1118: add mdk path

* Fri Jan 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-42mdk
- Stupid me... reactivate patch to search menu

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-41mdk
- Fix visibility kconfig_compiler

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-40mdk
- Update patch for specific distro

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-39mdk
- Add patch1116: fix kdockwidget kde bug #79031
- Add patch1117: fix kabc kde bug #97335

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-38mdk
- Add patch1115: fix kaccelmanger kde bug #97426

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-37mdk
- Add patch1114: fix kinit kde bug #97087

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-36mdk
- Add patch1113: fix kate kde bug #97373

* Tue Jan 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-35mdk
- Add patch1112: fix krecentdocument remove file which not exist

* Tue Jan 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-34mdk
- Add patch1110: fix animate menu
- Add patch1111: don't add tmp file into recent document

* Tue Jan 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-33mdk
- Add patch1108: fix khtml kde bug #97185
- Add patch1109: fix khtml dom string crash

* Sun Jan 16 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-32mdk
- Add patch1107: fix kate kde bug #96776

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-31mdk
- Add graphviz as build requires

* Fri Jan 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-30mdk
- Add patch1106: fix kresolver kde bug #93008

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-29mdk
- Add patch1105: fix khtml/dtd "Match nobr priority to DIV. Fixes webcore/invalid/019"

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-28mdk
- Fix khtml caret pos

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-27mdk
- Fix khtml kde bug #89356

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-26mdk
- Fix kabc kde bug #96263

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-25mdk
- Fix mem leak
- Fix kresolver
- Add patch1101: fix kde bug #93178: "Don't eat F12 unless configured to do so."

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-24mdk
- Fix khtml support "document.body.onload"

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-23mdk
- Fix kde bug #90267 "Do not load javascript from unwanted sources."

* Thu Jan 06 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-22mdk
- Fix kde bug #96082

* Wed Jan 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-21mdk
- Fix version

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- Readd apidox

* Mon Jan 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-19mdk
- Fix source
- Add patch1095: fix khtml kde bug #70326

* Sun Jan 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-18mdk
- Add visibility to this branch (reduce size and increase speed)

* Thu Dec 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-17mdk
- Add buildrequires on "OpenEXR-devel"
- Add patch1093: fix kate kde bug #95964

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-16mdk
- Rebuild for testing new gcc

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-15mdk
- Add patch1092: add item created into kfiledialog as global

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-14mdk
- Add patch1091: fix kde bug #65757 "Some memory allocation fixes."

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-13mdk
- Sync with CVS
- Add patch1088: fix khtml kde bug #95684 "background-position: bottom; is valid CSS - now konqueror knows too"
- Add patch1089: fix khtml kde bug #93595 "Don't open selection lookup instead of current page"
- Add patch1090: fix "No "Search Columns" menu if there is only one column"

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-12mdk
- Comment patch1086, patch1087 it's not perfect

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-11mdk
- Add patch1086, patch1087: fix kde bug #79731

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Add patch1085: fix init java

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Add patch1083: fix knotify crash kde bug #91497
- Add patch1084: fix crash in kde bug #88402 "Don't infinite loop on stylesheet selection."

* Thu Dec 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Add patch1082: fix crash in cert kde bug #95255

* Thu Dec 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Add patch1081: fix kfilespeedbar entry

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Obsolete mandrake-menu-directory

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Fix crash when we print into redhat.com page (crash found by Nora Boissel)

* Tue Dec 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- use mandrakelinux-create-kde-mdk-menu

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Add patch1079: fix advanced dialogbox

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Add patch1078: fix html misc impl bug found by Nicolas Chipaux)

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Mon Nov 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-19mdk
- Sync with CVS

* Mon Nov 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-18mdk
- Add patch1077: fix refresh mimetypes

* Thu Nov 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-17mdk
- Fix requires on libjasper-devel
- Add patch1076: fix khtml kde bug #93193 "restore scrolling position in case of a change in textareas"

* Thu Nov 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-16mdk
- Add patch1075: fix khtml dom2

* Wed Nov 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-15mdk
- Add patch1074: fix khtml kde bug #93429: bug found by Nicolas Chipaux

* Wed Nov 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-14mdk
- Sync with CVS

* Wed Nov 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-13mdk
- Update code from CVS (khtml/kjs update)

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-12mdk
- Fix obsolete/provides for kdetrayproxy

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-11mdk
- Fix install on x64_86

* Sat Oct 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-10mdk
- Sync with CVS

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-9mdk
- Fix Conflicts

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-8mdk
- Remove %%buildfor

* Sat Oct 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-7mdk
- Add patch1073: fix khtml kde bug #85152

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Add patch1072: fix html mem leak

* Wed Oct 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- Sync with cvs

* Sat Oct 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Fix kde bug #91327 "fixing the default margins for H{1-6} as they are in mozilla, IE and safari"

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Sync with CVS

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Remove some %%buildfor

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Fix powerpack

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-10mdk
- Sync with CVS

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-9mdk
- Fix conflicts

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-8mdk
- Fix conflict: allow to upgrade from MDK 9.2

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-7mdk
- Remove unuse patch

* Sat Sep 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-6mdk
- Fix conflict against Stardivision

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-5mdk
- Fix conflict with OO

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Fix conflict with mandrake-mime

* Sat Sep 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Fix conflict

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-68mdk
- Add patch1106: fix kmultitabbar "fix: resize multitabbar if a tab was 
									(re)moved to another target."

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-67mdk
- Add patch1105: fix kate "fix wrong join lines behavior"

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-66mdk
- Add patch1103: fix khtml kde bug #67151 "Fixed suppression of table 
									cell border without explicit width."

- Add patch1104: fix khtml image kde bug #88161 "don't crash when you get a 
												0 pointer"

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-65mdk
- Add patch1102: fix kate view internal "move selected text; copy text 
										if modifier CTRL is pressed."

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-64mdk
- Fix kdebugrc file

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-63mdk
- Add boostrap to compile kdetrayproxy

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-62mdk
- Add patch1101: fix kiosktools "Hide "edit file type" button when 
								edifiletype action is disabled."

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-61mdk
- Fix move config

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-60mdk
- Add patch1100: fix kde bug #87529 "When using the all-in-one dialog, 
							the "default progress" dialog isn't shown,
							so initialize the bool correctly so that 
							skip/rename dialogs don't make it appear."

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-58mdk
- Add patch1099: fix kcolordialog translated named

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-57mdk
- Add patch1098: fix ldapclient kde bug #86630 "Don't strip white spaces 
												from password"

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-56mdk
- Add patch1097: fix khtml kde bug #77048

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-55mdk
- Desactivate patch500

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-54mdk
- Add patch1095: "Set dcop connection to daemon mode, otherwise when 
					konqueror is used
   for web browsing outside of kde kdeinit never shuts down because of this."
- Add patch1096: fix kopenwith fix kde bug #87026 "Use a name for the dialog 
							so that kwin can distinguish it from other dialogs"

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-53mdk
- Rebuild for missing package

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-52mdk
- Add patch1093: klistview "Reinit the coloring of items after the sorting column 
				is changed."
- Add patch1094: fix kde bug #58247 "Disable tabs in textarea by default."

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-51mdk
- Try to fix move

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-50mdk
- Add patch1092: fix detect default language

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-49mdk
- Add patch1091: fix kjs_windows "'Fix 'put' case on a KJS::Window variable 
								when part is destroyed' fix"

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-48mdk
- Fix create link into /etc/kde (thanks Pixel)

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-47mdk
- Add patch1090: fix kssl

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-46mdk
- Add patch1089: fix kproperties

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-45mdk
- Add patch1088: fix klocale

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-44mdk
- Add patch 1087: fix liveconnection

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-43mdk
- Add patch1084: fix kde bug #60352 "mouse pointer not updated after changing directories" 
- Add patch1085: fix kssl "fix for reading in databases that shouldn't be read"
- Remove debug
- Add patch1086: fix khtml kde bug #84352

* Sat Aug 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-42mdk
- Sync with CVS

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-41mdk
- Move kde config file to /etc/kde/

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-40mdk
- Add patch1082: fix klistview kde bug #84087
- Add patch1083: fix kiconview kde bug #78546

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-39mdk
- Add patch1081: fix scrollbar problem

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-38mdk
- Add patch1080: disable debug frame in khtml

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-37mdk
- Add patch1079: fix crash into knotify

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-36mdk
- Add patch1077: fix kbookmarks kde bug #85944
- Add patch1078: fix kbookmarks kde bug #76291

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-35mdk
- Add patch 1076: fix kbookmarks kde bug #80699

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-34mdk
- Sync with CVS "Make targeted frame loads subject to domain restrictions
				. (BR84352)"

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-33mdk
- Add patch1075: fix kde bug #74172 "Fix enabling of Move Up/Move Down buttons"

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-32mdk
- Add patch1074: fix kde bug #79813 "Return ERR_FILE_ALREADY_EXIST 
									before sending dataReq"

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-31mdk
- Add patch1073: fix PGM/PPM kimgio kde bug #86366

* Wed Jul 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-30mdk
- Sync with CVS

* Wed Jul 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-29mdk
- Add patch1072: fix kde bug #76635 "Don't report (0,0) as workarea size 
				if the wm is not netwm-compliant."

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-28mdk
- Add patch1071: fix kde bug #84617 add Cyrillic CP866 (IBM/Microsoft 
	default russian codepage) into kde app

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-27mdk
- Add requires on kdetryaproxy to display applet kde into gnome

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-26mdk
- Sync with CVS

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-25mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-23mdk
- Add patch1070: remove rpath into kdelibs (patch from gb)

* Tue Jul 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-22mdk
- Add patch1069: fix khtml message error in bidi mode

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-21mdk
- Fix khtml kde bug #68271

* Tue Jul 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-20mdk
- sync CXXFLAG with other kde package => help to support pch

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-19mdk
- Generate doc

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-18mdk
- Add patch1067: fix display gnome manual

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-17mdk
- Add patch1066: fix ksettings mem leak

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-16mdk
- Fix kdedesktop2mdkmenu.pl for cooker version (mandrake-release changed)
	=> mimetype was not saved into menu file

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-15mdk
- Add patch1064: fix klineedit seturl function unbreak squeezed text feature
- Add patch1065: fix kde bug #84380 fix crash in kdirlister

* Fri Jul 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- Add patch1063: fix kstringhandler crash

* Thu Jul 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Add patch1062: "IE extension "navigator.cpuClass" - at least it allows http://windowsupdate.microsoft.com/ to come up"

* Wed Jun 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- Sync with CVS

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Add patch1061: fix khtml rendering position

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Sync klistviewsearchline

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Add patch1059: fix keramik bug #83977
- Add patch1060: fix process job crash

* Tue Jun 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Fix compile under MDK10.0

* Sat Jun 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Sync with CVS

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Remove some debug

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- fix patch1058: allow to translate it

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Add patch1056: use klistviewseachline
- Add patch1058: use klistviewsearchline into kkeydialog

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Add patch1055: use multilanguage define into kcontrol

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- add patch1054: fix ksqueezedtextlabel repaint

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Fri Jun 04 2004 Montel Laurent <lmontel@mandrakesoft.com> 3.2.2-12mdk
- Rebuild against new gcc

* Sat May 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-11mdk
- Add patch1053: allow to dnd icon on icons

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-10mdk
- Sync with CVS

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-9mdk
- Add patch1052: add dnd to kedittoolbar

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-8mdk
- Add patch1050: fix vulnerability into ktelnet protocol 
- Add patch1051: fix kmail launch + attachment

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-7mdk
- Rebuild with debug

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-6mdk
- Sync with CVS

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Fix requires (move it to kdelibs-common package and not kdelibs packages which is not generated)

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Add patch1049: fix kedittoolbar

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild with qt3.3.2

* Wed Apr 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Sync with CVS
- Add patch1048: fix kfind cancel text button bug found by David Baudens

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Fri Apr 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-6mdk
- Add patch1046: fix wordwrap witdh

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-5mdk
- Add patch1045: fix kdesu

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-4mdk
- Add patch1044: Add browserLanguage fix citadines.fr

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-3mdk
- Fix spec for using rpmbuildupdate

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Remove unused patch
- Requires on hicolor-icon-theme

